import '@/assets/colors.css'
import { createApp } from 'vue'
import App from './App.vue'
import router from './router'
import { initAuthSync } from './stores/auth'
import { installUnauthorizedFetchInterceptor } from './common/api'

const app = createApp(App)

initAuthSync()
installUnauthorizedFetchInterceptor()

app.use(router)

app.mount('#app')
